CREATE GLOBAL TEMPORARY TABLE "PLANTA_TABLES" 
(	"ID" VARCHAR2(4 BYTE), 
"NAME" VARCHAR2(30 BYTE), 
"HAS_DUMMY" NUMBER(5,0)
) ON COMMIT PRESERVE ROWS ;/

CREATE UNIQUE INDEX "PL_TABLE_PK" ON "PLANTA_TABLES" ("ID") ;/
CREATE UNIQUE INDEX "PLANTA_TABLES_BY_NAME" ON "PLANTA_TABLES" ("NAME") ;/

ALTER TABLE "PLANTA_TABLES" ADD CONSTRAINT "PL_TABLE_PK" PRIMARY KEY ("ID") ENABLE;/
ALTER TABLE "PLANTA_TABLES" MODIFY ("HAS_DUMMY" NOT NULL ENABLE);/
ALTER TABLE "PLANTA_TABLES" MODIFY ("NAME" NOT NULL ENABLE);/
ALTER TABLE "PLANTA_TABLES" MODIFY ("ID" NOT NULL ENABLE);/
