    create table PROJECT_POOL (
        "UUID" raw(16) default SYS_GUID() not null,
        "CONFIG_ID" raw(16),
        "CREATED_ON" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "MODIFIED_ON" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "RWDU" number(5,0) default 0,
        "CREATED_BY" varchar2(20 char),
        "MODIFIED_BY" varchar2(20 char),
        "OWN_LIC" varchar2(4 char),
        "OPC" varchar2(8 char),
        "OWNER" number(5,0) default 0,
        "GROUP" number(5,0) default 0,
        "ANY" number(5,0) default 0,
        "STATUS" number(5,0) default 0,
        "TRANSFERRED_ON" varchar2(80 char),
        "PR_ID" varchar2(18 char),
        "PARENT_PR_ID" varchar2(18 char),
        "PARENT_TASK_ID" varchar2(18 char),
        "PR_CODE" varchar2(2 char),
        "PR_PRIO" number(10,0) default 0,
        "PR_CALENDAR" varchar2(20 char),
        "PR_SPLIT" number(5,0) default 0,
        "STRUCT_SCHED" number(5,0) default 0,
        "REQUESTED_START" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "REQUESTED_END" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PR_ESD" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PR_EED" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PR_LSD" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PR_LED" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "CALC_START" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "CALC_END" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "ACTUAL_START" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "ACTUAL_END" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "SD_P1" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "ED_P1" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "DEV_SD_P1" number(10,0) default 0,
        "DEV_ED_P1" number(10,0) default 0,
        "PR_P_DURATION_TS" number(10,0) default 0,
        "PR_A_DURATION_TS" number(10,0) default 0,
        "PR_R_DURATION_TS" number(10,0) default 0,
        "PLANNED_DURATION" number(10,0) default 0,
        "ACT_DURATION" number(10,0) default 0,
        "REM_DURATION" number(10,0) default 0,
        "EFFORT_PLAN" number default 0,
        "EFFORT_ACT" number default 0,
        "EFFORT_REM" number default 0,
        "PR_RBD" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "USED_EFFORT" number(5,0) default 0,
        "COMPL_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PROJECT_STATE" number(5,0) default 0,
        "REQUEST_STATE" number(5,0) default 0,
        "NP_CYCLE" number(5,0) default 0,
        "LOADED" number(5,0) default 0,
        "LAST_SCHED_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PR_PLAN_EARLY" number(5,0) default 0,
        "NO_OF_TASKS_REAL" number(10,0) default 0,
        "NO_OF_LINKS" number(10,0) default 0,
        "LAST_CS_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "TIME_OF_LAST_CS" number(10,0) default 0,
        "TIME_OF_LAST_BUDGET_CALC" number(10,0) default 0,
        "LAST_BUDGET_CALC" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "SD_POSIT" number(5,0) default 0,
        "PRODUCT" varchar2(8 char),
        "SD_P2" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "ED_P2" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "SD_P3" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "ED_P3" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "SD_P4" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "ED_P4" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "SD_LAST_PLAN" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "ED_LAST_PLAN" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "DEV_SD_P2" number(10,0) default 0,
        "DEV_ED_P2" number(10,0) default 0,
        "DEV_SD_P3" number(10,0) default 0,
        "DEV_ED_P3" number(10,0) default 0,
        "DEV_SD_P4" number(10,0) default 0,
        "DEV_ED_P4" number(10,0) default 0,
        "DEV_LAST_PLAN_SD" number(10,0) default 0,
        "DEV_LAST_PLAN_ED" number(10,0) default 0,
        "MAIN_PR_ID" varchar2(18 char),
        "LEVEL" number(5,0) default 0,
        "SAP_SERVICE_TYPE" varchar2(10 char),
        "PR_CLASS" varchar2(20 char),
        "COUNTRY" varchar2(6 char),
        "LOCATION" varchar2(18 char),
        "OU_CCTR_P_COSTS" number default 0,
        "OU_CCTR_A_COSTS" number default 0,
        "OU_CCTR_R_COSTS" number default 0,
        "OU_CCTR_T_COSTS" number default 0,
        "TIME_OF_LAST_TS" number(10,0) default 0,
        "CUSTOMER" varchar2(30 char),
        "PR_MANAGER" varchar2(20 char),
        "PR_MNGR_CUSTOMER" varchar2(30 char),
        "PR_RSUB" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PR_RELEASE" varchar2(8 char),
        "PLANNED_BUDGET" number default 0,
        "PLANNED_OWN_BUDGET" number default 0,
        "SUMM_PLANNED_BUDGET" number default 0,
        "DIST_PLAN_BUDGET_OU" number default 0,
        "SEP_DIST_PLAN_BGT" number default 0,
        "APPR_SEPARATE_BUDGET" number default 0,
        "SUMM_APPR_BUDGET" number default 0,
        "DIST_APPR_BUDGET_OU" number default 0,
        "SEP_DIST_APPR" number default 0,
        "ACTIVE_USER" varchar2(20 char),
        "PLANNED_COSTS" number default 0,
        "ACTUAL_COSTS" number default 0,
        "REMAINING_COSTS" number default 0,
        "COSTS_TOTAL" number default 0,
        "DEV_T_P_EFF" number default 0,
        "DEV_T_P_EFF_PERCENT" number default 0,
        "PROJECT_NAME" varchar2(80 char),
        "PR_NAME_2" varchar2(80 char),
        "PR_GROUP_1" varchar2(50 char),
        "PR_GROUP_2" varchar2(50 char),
        "PR_GROUP_3" varchar2(50 char),
        "SHORT_PROJECT_NAME" varchar2(18 char),
        "PR_OLE" varchar2(30 char),
        "RELEASE_PROJECT_ID" varchar2(18 char),
        "PR_SYM_OLE" varchar2(8 char),
        "PR_SYMBOL" varchar2(8 char),
        "ADDRESS" varchar2(18 char),
        "PR_DOC_DIRECTORY" varchar2(40 char),
        "PR_LOCKED" number(5,0) default 0,
        "EFFORT_P1" number default 0,
        "EFFORT_P2" number default 0,
        "EFFORT_P3" number default 0,
        "EFFORT_P4" number default 0,
        "EFFORT_LAST_PLAN" number default 0,
        "COSTS_PLAN1" number default 0,
        "COSTS_PLAN2" number default 0,
        "COSTS_PLAN3" number default 0,
        "COSTS_PLAN4" number default 0,
        "COSTS_LAST_PL" number default 0,
        "FIXED_DATE_P1" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "FIXED_DATE_P2" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "FIXED_DATE_P3" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "FIXED_DATE_P4" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "FIXED_DATE_LAST_PLAN" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "FIX_RES_1" varchar2(20 char),
        "FIX_RES_2" varchar2(20 char),
        "FIX_RES_3" varchar2(20 char),
        "FIX_RES_4" varchar2(20 char),
        "FIX_RES_LAST" varchar2(20 char),
        "PLANNING_TYPE" number(5,0) default 0,
        "PM_ESTIMATE" varchar2(2 char),
        "ESTIMATE_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "TECH_HRS_461" number(5,0) default 0,
        "TECH_SUMMARY_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "SENT" number(5,0) default 0,
        "OU_COST_CENTER" varchar2(8 char),
        "SAVING_1ST_YEAR" number default 0,
        "SAVING_2ND_YEAR" number default 0,
        "SAVING_3RD_YEAR" number default 0,
        "SAVING_4TH_YEAR" number default 0,
        "SAVING_5TH_YEAR" number default 0,
        "CURRENT_PR_PHASE" varchar2(30 char),
        "PR_SIZE" varchar2(30 char),
        "OBJECTIVES_ACHIEVED" number(5,0) default 0,
        "CLASS" varchar2(2 char),
        "RISK" varchar2(2 char),
        "STRATEGY_CONTRB" varchar2(2 char),
        "BENEFIT" varchar2(2 char),
        "DEV_SD4_MASTER_MS" number(10,0) default 0,
        "DEV_ED4_MASTER_MS" number(10,0) default 0,
        "RANK" number(10,0) default 0,
        "SEQUENCE" number(10,0) default 0,
        "SOFT_PR_ESD" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "SOFT_PR_EED" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "SOFT_PR_LSD" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "SOFT_PR_LED" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "POSTING_TYPE" number(5,0) default 0,
        "PR_CODE_SAVE" varchar2(2 char),
        "PR_IN_SIMULATION" number(5,0) default 0,
        "PR_LOCKED_SAVE" number(5,0) default 0,
        "OBJECT_CONTRIBUTION" number(10,0) default 0,
        "RISK_VALUE_IN" number(10,0) default 0,
        "OBJECT_CONTRIB_IN" number(10,0) default 0,
        "TARGETS" clob,
        "SCOPE_AND_LIMIT" clob,
        "CONSEQ_NON_REALIZ" clob,
        "AREAS_INVOLVED" clob,
        "MANDATORY_PROJECT" number(5,0) default 0,
        "MANDATORY_PR_REASON" clob,
        "ROI" number default 0,
        "DESCRIPTION" clob,
        "INTERNAL_INTEREST" number default 0,
        "QUALITATIVE_BENEFIT" clob,
        "PR_TYPE" number(5,0) default 0,
        "DELETE_PROD_PR" number(5,0) default 0,
        "OVERWRITE_ARCHIVE" number(5,0) default 0,
        "PR_IN_ARCHIVE" number(5,0) default 0,
        "INVOICING_COMMENT" clob,
        "BGT_CHECKED_BY" varchar2(20 char),
        "BGT_CHECKED_ON" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "BGT_CHECKED_AT" number(10,0) default 0,
        "REFERENCE_VALUE_1" varchar2(8 char),
        "REFERENCE_VALUE_1_PERCENT" varchar2(8 char),
        "REFERENCE_VALUE_2" varchar2(8 char),
        "REFERENCE_VALUE_2_PERCENT" varchar2(8 char),
        "DISPLAY_BY_PM" number(5,0) default 0,
        "SUMM_PROB_DEMAGE" number default 0,
        "SUMM_LOSS" number default 0,
        "PLANN_COSTS_OUTSIDE" number default 0,
        "ACTUAL_COSTS_OUTSIDE" number default 0,
        "REM_COSTS_OUTSIDE" number default 0,
        "TOTAL_COSTS_OUTSIDE" number default 0,
        "PL_REVENUES" number default 0,
        "ACT_REVENUES" number default 0,
        "REM_REVENUES" number default 0,
        "REVENUES_TOTAL" number default 0,
        "DATE_ESTIM_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "DATES_ESTIMATE" varchar2(2 char),
        "COSTS_ESTIMATE" varchar2(2 char),
        "EFFORT_ESTIMATE" varchar2(2 char),
        "MILESTONES_ESTIMATE" varchar2(2 char),
        "QUALITY_ESTIMATE" varchar2(2 char),
        "COSTS_ESTIMATE_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "EFFORT_ESTIMATE_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "MS_ESTIMATE_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "QUALITY_ESTIM_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "COMMENT_TOTAL" clob,
        "COMMENT_DATES" clob,
        "COMMENT_COSTS" clob,
        "COMMENT_EFFORT" clob,
        "COMMENT_MS" clob,
        "COMMENT_RISK" clob,
        "SUMM_PROB_SUCCESS" number default 0,
        "SUMM_SUCCESS" number default 0,
        "AUTOM_STATUS_REPORT" number(5,0) default 0,
        "HDI_823_LAST_SR" varchar2(10 char),
        "FUTURE_IMPROVE" clob,
        "FUTURE_RETAIN" clob,
        "LAST_AUTOM_SR" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "AREA" varchar2(8 char),
        "BREAK_EVEN" number default 0,
        "PROB_GROSS_PROFIT" number default 0,
        "CURRENT_BASELINE" varchar2(10 char),
        "CURRENT_REPORT" varchar2(10 char),
        "UPDATED_BY" varchar2(20 char),
        "UPDATED_AT" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "ACT_POSSIBLE_DAMAGE" number default 0,
        "SR_POSS_DAMAGE" number default 0,
        "SR_PROB_DAMAGE" number default 0,
        "ACT_POSSIBLE_OPPORTUNITY" number default 0,
        "SR_POSS_OPPORTUNITY" number default 0,
        "SR_PROB_OPPORTUNITY" number default 0,
        "SR_OPPORT_OCCURED" number default 0,
        "SR_DAMAGE_INCURRED" number default 0,
        "PSC" varchar2(80 char),
        "INITIATOR" varchar2(20 char),
        "IDEA_HANDED_OVER" number(5,0) default 0,
        "COMMENTED_ON" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PM_MODEL" varchar2(8 char),
        "PC_OBJECTIVE" number default 0,
        "PC_ACTUAL" number default 0,
        "PC_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PC_COMMENT" clob,
        "PR_FUNCTIONAL" varchar2(18 char),
        "MAIN_PR_FUNCTIONAL" varchar2(18 char),
        "PERSON_INT_PAY_OBL" number default 0,
        "PERSON_EXT_PAY_OBL" number default 0,
        "MAT_COSTS_PAY_OBL" number default 0,
        "INVESTM_PAY_OBLIG" number default 0,
        "MISCEL_PAY_OBLIG" number default 0,
        "REPORT_PLS_REPORT_ID" varchar2(10 char),
        "ACTIVE_PROCESS_PHASE" varchar2(8 char),
        "COMPLETED_TIME" number(10,0) default 0,
        "OPEN_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "OPEN_TIME" number(10,0) default 0,
        "OPEN_FROM" varchar2(20 char),
        "COMPLETED_FROM" varchar2(20 char),
        "COMPLETED_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "PARENT_PREQ_ID" varchar2(18 char),
        "EXTERNAL_NUMBER" varchar2(20 char),
        "REF_NUMBER" varchar2(20 char),
        "DEFAULT_NUMBER" varchar2(18 char),
        "TDI_BIT_FIELD_FOR_LOCK_OPTIONS" number(5,0) default 0,
        "MAIN_MILESTONE_ID" varchar2(18 char),
        "SCHEDULE_WITH_GATES" number(5,0) default 0,
        "RISK_ESTIMATE" varchar2(2 char),
        "RISK_ESTIM_DATE" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "COMMENT_QUALITY" clob,
        "STANDARD_OLE" varchar2(8 char),
        "ESTIM_REVENUEBENEFIT" varchar2(2 char),
        "ESTIM_DATE_REVENUEBENEFIT" date default TO_DATE('01.01.1970','DD.MM.YYYY'),
        "COMMENT_REVENUEBENEFIT" clob,
        "PR_POS" number(10,0) default 0,
        "COMMENT_MEASURE" clob,
        "COMMENT_DESCISION" clob
    );

    alter table PROJECT_POOL 
        add constraint PIDPROJECT_POOL primary key ("UUID");
        
    alter table PROJECT_POOL 
        add constraint DT567UUID_NOT_NULL check(UUID is not null);

    alter table PROJECT_POOL 
        add constraint DT567CONFIG_ID_NOT_NULL check(CONFIG_ID is not null);

    alter table PROJECT_POOL 
        add constraint FKPROJECT_POOLID560 
        foreign key ("CONFIG_ID") 
        references INTERFACE_CONFIG        
        on delete cascade
        deferrable;