    create table PYTHONPERFORMANCE (
        "UUID" raw(16),
        "TIMESTAMP" number,
        "USER" varchar2(20 char),
        "CREATION_DATE" date,
        "TITLE" varchar2(80 char),
        "TOTAL_CALLS" number(10,0),
        "PRIMITIVE_CALLS" number(10,0),
        "TOTAL_TIME" number
    );

    alter table PYTHONPERFORMANCE add constraint PID351DT351 primary key ("UUID");
    alter table PYTHONPERFORMANCE MODIFY ("UUID" DEFAULT SYS_GUID());
    alter table PYTHONPERFORMANCE add constraint DT351UUID_NOT_NULL check("UUID" is not null);
    alter table PYTHONPERFORMANCE MODIFY ("TIMESTAMP" DEFAULT 0);
    alter table PYTHONPERFORMANCE MODIFY ("CREATION_DATE" DEFAULT TO_DATE('01.01.1970','DD.MM.YYYY'));
    alter table PYTHONPERFORMANCE MODIFY ("TOTAL_CALLS" DEFAULT 0);
    alter table PYTHONPERFORMANCE MODIFY ("PRIMITIVE_CALLS" DEFAULT 0);
    alter table PYTHONPERFORMANCE MODIFY ("TOTAL_TIME" DEFAULT 0);