
/* create additional non-clustered indexes */

CREATE UNIQUE NONCLUSTERED INDEX [PK_covering_query] ON [dbo].[DT499] 
(
	[DI041138] ASC
)
INCLUDE ( [DI041139],
[DI041353],
[DI057817],
[DI057819],
[DI057823],
[DI057847]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

GO

CREATE NONCLUSTERED INDEX [RECURSION_PARENT_ID] ON [dbo].[DT499] 
(
	[DI057823] ASC
)
INCLUDE ( [DI041138],
[DI041139],
[DI041353],
[DI057817],
[DI057819],
[DI057847]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

GO

CREATE NONCLUSTERED INDEX [FK_OBJECT_ID] ON [dbo].[DT499] 
(
	[DI057817] ASC
)
INCLUDE ( [DI041138],
[DI041139],
[DI041353],
[DI057819],
[DI057823],
[DI057847]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

GO

CREATE NONCLUSTERED INDEX [FK_PR_ID] ON [dbo].[DT499] 
(
	[DI041139] ASC
)
INCLUDE ( [DI041138],
[DI041353],
[DI057817],
[DI057819],
[DI057823],
[DI057847]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

GO

CREATE NONCLUSTERED INDEX [FK_TASK_ID] ON [dbo].[DT499] 
(
	[DI041139] ASC,
	[DI057847] ASC
)
INCLUDE ( [DI041138],
[DI041353],
[DI057817],
[DI057819],
[DI057823]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

GO

CREATE NONCLUSTERED INDEX [FK_RES_ID] ON [dbo].[DT499] 
(
	[DI041353] ASC
)
INCLUDE ( [DI041138],
[DI041139],
[DI057817],
[DI057819],
[DI057823],
[DI057847]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

GO
