alter table DT461 add SAP_RELEVANT numeric(5,0);
alter table DT461 add constraint DT461DI064662_DEFAULT DEFAULT 0 FOR [SAP_RELEVANT];
alter table DT461 add EXPORT_TO_SAP numeric(5,0);
alter table DT461 add constraint DT461DI064663_DEFAULT DEFAULT 0 FOR [EXPORT_TO_SAP];
alter table DT461 add DATE_LAST_SAP_PROJECT_EXPORT datetime2;
alter table DT461 add constraint DT461DI064664_DEFAULT DEFAULT CONVERT(datetime2,'01.01.1970',104) FOR [DATE_LAST_SAP_PROJECT_EXPORT];
alter table DT461 add TIME_LAST_SAP_PROJECT_EXPORT numeric(10,0);
alter table DT461 add constraint DT461DI064665_DEFAULT DEFAULT 0 FOR [TIME_LAST_SAP_PROJECT_EXPORT];
alter table DT461 add DATE_LAST_SAP_PSP_EXPORT datetime2;
alter table DT461 add constraint DT461DI064711_DEFAULT DEFAULT CONVERT(datetime2,'01.01.1970',104) FOR [DATE_LAST_SAP_PSP_EXPORT];
alter table DT461 add TIME_LAST_SAP_PSP_EXPORT numeric(10,0);
alter table DT461 add constraint DT461DI064710_DEFAULT DEFAULT 0 FOR [TIME_LAST_SAP_PSP_EXPORT];
alter table DT461 add DATE_LAST_PLANNED_COSTS_EXPORT datetime2;
alter table DT461 add constraint DT461DI064666_DEFAULT DEFAULT CONVERT(datetime2,'01.01.1970',104) FOR [DATE_LAST_PLANNED_COSTS_EXPORT];
alter table DT461 add TIME_LAST_PLANNED_COSTS_EXPORT numeric(10,0);
alter table DT461 add constraint DT461DI064667_DEFAULT DEFAULT 0 FOR [TIME_LAST_PLANNED_COSTS_EXPORT];
alter table DT461 add DATE_LAST_ACTUAL_HOURS_EXPORT datetime2;
alter table DT461 add constraint DT461DI064668_DEFAULT DEFAULT CONVERT(datetime2,'01.01.1970',104) FOR [DATE_LAST_ACTUAL_HOURS_EXPORT];
alter table DT461 add TIME_LAST_ACTUAL_HOURS_EXPORT numeric(10,0);
alter table DT461 add constraint DT461DI064669_DEFAULT DEFAULT 0 FOR [TIME_LAST_ACTUAL_HOURS_EXPORT];
alter table DT461 add DATE_LAST_ACTUAL_COSTS_IMPORT datetime2;
alter table DT461 add constraint DT461DI064670_DEFAULT DEFAULT CONVERT(datetime2,'01.01.1970',104) FOR [DATE_LAST_ACTUAL_COSTS_IMPORT];
alter table DT461 add TIME_LAST_ACTUAL_COSTS_IMPORT numeric(10,0);
alter table DT461 add constraint DT461DI064671_DEFAULT DEFAULT 0 FOR [TIME_LAST_ACTUAL_COSTS_IMPORT];
alter table DT461 add DATE_LAST_LIABILITY_IMPORT datetime2;
alter table DT461 add constraint DT461DI064672_DEFAULT DEFAULT CONVERT(datetime2,'01.01.1970',104) FOR [DATE_LAST_LIABILITY_IMPORT];
alter table DT461 add TIME_LAST_LIABILITY_IMPORT numeric(10,0);
alter table DT461 add constraint DT461DI064673_DEFAULT DEFAULT 0 FOR [TIME_LAST_LIABILITY_IMPORT];

alter table DT963 add DATE_LAST_SAP_PSP_EXPORT datetime2;
alter table DT963 add constraint DT963DI064707_DEFAULT DEFAULT CONVERT(datetime2,'01.01.1970',104) FOR [DATE_LAST_SAP_PSP_EXPORT];
alter table DT963 add TIME_LAST_SAP_PSP_EXPORT numeric(10,0);
alter table DT963 add constraint DT963DI064706_DEFAULT DEFAULT 0 FOR [TIME_LAST_SAP_PSP_EXPORT];
alter table DT963 add DATE_LAST_SAP_PSP_IMPORT datetime2;
alter table DT963 add constraint DT963DI064709_DEFAULT DEFAULT CONVERT(datetime2,'01.01.1970',104) FOR [DATE_LAST_SAP_PSP_IMPORT];
alter table DT963 add TIME_LAST_SAP_PSP_IMPORT numeric(10,0);
alter table DT963 add constraint DT963DI064708_DEFAULT DEFAULT 0 FOR [TIME_LAST_SAP_PSP_IMPORT];


update DT461 set SAP_RELEVANT = DEFAULT;
update DT461 set EXPORT_TO_SAP = DEFAULT;
update DT461 set DATE_LAST_SAP_PROJECT_EXPORT = DEFAULT;
update DT461 set TIME_LAST_SAP_PROJECT_EXPORT = DEFAULT;
update DT461 set DATE_LAST_SAP_PSP_EXPORT = DEFAULT;
update DT461 set TIME_LAST_SAP_PSP_EXPORT = DEFAULT;
update DT461 set DATE_LAST_PLANNED_COSTS_EXPORT = DEFAULT;
update DT461 set TIME_LAST_PLANNED_COSTS_EXPORT = DEFAULT;
update DT461 set DATE_LAST_ACTUAL_HOURS_EXPORT = DEFAULT;
update DT461 set TIME_LAST_ACTUAL_HOURS_EXPORT = DEFAULT;
update DT461 set DATE_LAST_ACTUAL_COSTS_IMPORT = DEFAULT;
update DT461 set TIME_LAST_ACTUAL_COSTS_IMPORT = DEFAULT;
update DT461 set DATE_LAST_LIABILITY_IMPORT = DEFAULT;
update DT461 set TIME_LAST_LIABILITY_IMPORT = DEFAULT;

update DT963 set DATE_LAST_SAP_PSP_EXPORT = DEFAULT;
update DT963 set TIME_LAST_SAP_PSP_EXPORT = DEFAULT;
update DT963 set DATE_LAST_SAP_PSP_IMPORT = DEFAULT;
update DT963 set TIME_LAST_SAP_PSP_IMPORT = DEFAULT;
